Updates Field for Table
curl --request PUT \
--url https://app.blinkops.com/api/v1/workspace/{ws_id}/table/{table}/fields/{field} \
--header 'BLINK-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"attributes": {
"default_value": "Default",
"include_time": false,
"options": [
"Option 1",
"Option 2",
"Option 3"
],
"table_reference": {
"display_name_field": "Name",
"table_name": "Table 1"
}
},
"display_name": "Test",
"type": "single-select"
}
'import requests
url = "https://app.blinkops.com/api/v1/workspace/{ws_id}/table/{table}/fields/{field}"
payload = {
"attributes": {
"default_value": "Default",
"include_time": False,
"options": ["Option 1", "Option 2", "Option 3"],
"table_reference": {
"display_name_field": "Name",
"table_name": "Table 1"
}
},
"display_name": "Test",
"type": "single-select"
}
headers = {
"BLINK-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'BLINK-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attributes: {
default_value: 'Default',
include_time: false,
options: ['Option 1', 'Option 2', 'Option 3'],
table_reference: {display_name_field: 'Name', table_name: 'Table 1'}
},
display_name: 'Test',
type: 'single-select'
})
};
fetch('https://app.blinkops.com/api/v1/workspace/{ws_id}/table/{table}/fields/{field}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attributes": {},
"created_at": 123,
"created_by": "<string>",
"description": "<string>",
"display_name": "<string>",
"id": "<string>",
"indexes": {},
"name": "<string>",
"table_id": "<string>",
"tenant_id": "<string>",
"type": "<string>",
"updated_at": 123,
"updated_by": "<string>",
"workspace_id": "<string>"
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Tables
Updates Field for Table
API endpoint to update a field value in a Blink table record.
PUT
/
workspace
/
{ws_id}
/
table
/
{table}
/
fields
/
{field}
Updates Field for Table
Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Path Parameters
Workspace ID
Field name
Table name
Body
application/json
Updated field data
Was this page helpful?
⌘I